Package com.trilead.ssh2.packets

# Class TypesReader

java.lang.Object
com.trilead.ssh2.packets.TypesReader

public class TypesReader extends Object
TypesReader.

## Constructor Summary

Constructors
Constructor
Description
`TypesReader(byte[] arr)`
`TypesReader(byte[] arr, int off)`
`TypesReader(byte[] arr, int off, int len)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readBoolean()`
`int`
`readByte()`
`void`
`readBytes(byte[] dst, int off, int len)`
`byte[]`
`readBytes(int len)`
`byte[]`
`readByteString()`
`BigInteger`
`readMPINT()`
`String[]`
`readNameList()`
`String`
`readString()`
`String`
`readString(String charsetName)`
`int`
`readUINT32()`
`long`
`readUINT64()`
`int`
`remain()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypesReader

public TypesReader(byte[] arr)

### TypesReader

public TypesReader(byte[] arr, int off)

### TypesReader

public TypesReader(byte[] arr, int off, int len)

## Method Details

### readByte

public int readByte() throws IOException

Throws:
  `IOException`

### readBytes

public byte[] readBytes(int len) throws IOException

Throws:
  `IOException`

### readBytes

public void readBytes(byte[] dst, int off, int len) throws IOException

Throws:
  `IOException`

### readBoolean

public boolean readBoolean() throws IOException

Throws:
  `IOException`

### readUINT32

public int readUINT32() throws IOException

Throws:
  `IOException`

### readUINT64

public long readUINT64() throws IOException

Throws:
  `IOException`

### readMPINT

public BigInteger readMPINT() throws IOException

Throws:
  `IOException`

### readByteString

public byte[] readByteString() throws IOException

Throws:
  `IOException`

### readString

public String readString(String charsetName) throws IOException

Throws:
  `IOException`

### readString

public String readString() throws IOException

Throws:
  `IOException`

### readNameList

public String[] readNameList() throws IOException

Throws:
  `IOException`

### remain

public int remain()